Skip to content

chats.chatConfessions

GET
/v1/chats/{chatId}/confessions
curl --request GET \
--url https://example.com/v1/chats/example/confessions \
--header 'Authorization: Bearer <token>'

Lists what the Bot said with confide in this Chat, and the answers that it got. The Bot uses it to talk about how its work goes. See the client guide before you show it to people.

chatId
required
string
>= 1 characters

Success

Media typeapplication/json
Array<object>
object
id
required
string
chat
required
string
turn
required
string
text
required
string
reply
required
string
at
required
number

Example generated

[
{
"id": "example",
"chat": "example",
"turn": "example",
"text": "example",
"reply": "example",
"at": 1
}
]

ChatModelInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ChatModelInvalid
reason
required
string
Allowed values: provider-not-found model-not-found unsupported-option missing
message
required
string

Example

{
"_tag": "ChatModelInvalid",
"reason": "provider-not-found"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

ChatNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: ChatNotFound
chat
required
string

Example

{
"_tag": "ChatNotFound"
}

ChatConflict | @nmnmcc/ability/Authorizer/Pending

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ChatConflict
message
required
string

Example

{
"_tag": "ChatConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

ChatStorageUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ChatStorageUnavailable

Example

{
"_tag": "ChatStorageUnavailable"
}